/* ################################################## */
/* __________________ Info __________________________ */
/* ################################################## */

/* 

<<-- Desktop -->>

00 Variables
01 General Styling
02 Menu
03 General Table Layout
04 Releases Page
  04_1 Style Range Slider (scrollbar)
  04_2 Blinders
  04_3 Content / Table
05 Termine Page
06 Release Page Layouts
07 Text Page Layouts
  07_1 About
  07_2 Imprint
08 Bookup (by Marco Land) -->> https: //marco.land/


<<-- Mobile -->>

00 Root
01 General Styling
02 Menu
03 Table
  03_1 Table Releases Page
  03_2 Table Events Page
04 Releases Page
05 Events Page
06 Mobile Release Page


*/




/* __________________ Z-Index __________________ */
/* 

   
    #events.menu-mobile-release ----- 91
    #releases.menu-mobile-release --- 91
    #imprint (mobile) --------------- 91
    #side-menu-mobile --------------- 90
    .menu (menu text) --------------- 90
    #disable-rotation --------------- 90
    termine headline----------------- 85
    #scroll-blinder ----------------- 82
    cancel-menu-hover --------------- 81
    .r.cat-num (MISIXXX) ------------ 80
    single colums (overlay) --------- 65 (.row-wrapper.hovered .content-wrapper) 
    #headline-past-events ----------- 61
    #headline-future-events --------- 60
    .album-cover-overlay------------- 60 
    #menu-top (boxes) --------------- 50
    #menu-bottom (boxes)------------- 50
    .blinders ----------------------- 10
    #return ------------------------- 1
    .content-wrapper ---------------- 1
    .r-cat-num (mobile) ------------- 0
    table --------------------------- 0

*/






/* __________________ Fonts __________________ */

@font-face {
    font-family: 'GyreHerosVariableVF';
    src: url('/assets/fonts/GyreHerosVariableVF.woff2') format('woff2'),
        url('/assets/fonts/GyreHerosVariableVF.woff') format('woff');
}

/*
 GyreHerosVariableVF by Jens Schnitzler

 https: //github.com/jensschnitzler/Gyre-Heros-Variable
 https: //epitype.xyz/
 https: //www.jensschnitzler.com/
 https: //ssppaaccee.com/

 */





/* __________________ 00 Variables _____________________________________ */

:root {

    /* Font Sizes */

    --f-size-small: 1.3rem;

    --f-size-regular: 1.7rem;

    --f-size-medium: 2.2rem;

    --f-size-large: 3.4rem;

    --gyre: GyreHerosVariableVF;

    --r-num: 21;


    /* Table */

    --row1x: calc((100vh / var(--r-num)) - 0.7px);
    --row2x: calc((var(--row1x)*2));


    /* Colors */
    --bg: #fff;
    --tl: #000;
}




/* __________________ 01 General Styling _________________________________ */

::selection {
    background-color: var(--tl);
    color: var(--bg);
}



/* Reset */

html {
    font-family: var(--gyre);
    /* font-size: 1vh; */
    font-size: .52vw;
}

body {
    padding: 0;
    margin: 0;
    overflow-x: hidden;
    overflow-y: scroll;
}

body::-webkit-scrollbar {
    display: none;
}

a {
    color: var(--tl);
    text-decoration: none;
}

p,
h1,
h2,
h3 {
    padding-bottom: var(--f-size-regular);
    margin: 0;
    font-style: normal;
    font-weight: normal;
    color: var(--tl);
}

p {
    font-size: var(--f-size-regular);
}

h1 {
    font-size: var(--f-size-large);
}

h2 {
    font-size: var(--f-size-medium);
}

h3 {
    font-size: var(--f-size-small);
}

ul {
    list-style: none;
    padding-left: 0;
    padding-top: 0;
    margin: 0;
    padding-bottom: var(--f-size-regular);
    color: var(--tl);
    font-size: var(--f-size-regular);
}

ol {
    padding-left: 0;
    padding-top: 0;
    margin: 0;
    padding-bottom: var(--f-size-regular);
    color: var(--tl);
    font-size: var(--f-size-regular);
}

img {
    width: 100%;
    height: 100%;
}





/* Additoional Typographic Control */

.underline {
    text-decoration-line: underline;
    text-decoration-style: solid;
    text-decoration-thickness: 1px;
    text-underline-offset: 0.1em;
    text-decoration-color: var(--tl) !important;
}

.f-size-small {
    font-size: var(--f-size-small);
}






/* __________________ 02 Menu ______________________________________________ */

.menu {
    position: fixed;
    padding-top: 0.1em;
    margin: calc(var(--row1x) / 2);
    z-index: 90;
}

.menu-text {
    /* Invert Text on Black */
    color: var(--bg);
    mix-blend-mode: difference;
    -webkit-font-smoothing: antialiased;
    background: var(--bg);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: var(--f-size-medium);
    transition: text-decoration-color 300ms ease;
}

.menu-image {
    width: 14.7rem;
    height: 6.5rem;
}

.menu:hover,
.underline-menu {
    text-decoration-line: underline;
    text-decoration-style: solid;
    text-decoration-thickness: 1px;
    text-underline-offset: 0.1em;
    text-decoration-color: var(--bg) !important;
}


#releases {
    left: 0;
}

#termine,
#events {
    right: 0;
}

#about {
    bottom: 0;
    left: 0;
}

#disable-rotation {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 18.7rem;
    height: 10.7rem;
    z-index: 90;
}

#logo-text {
    position: absolute;
    left: 0;
    bottom: 0;
    height: var(--f-size-medium);

}

#logo-arrow {
    width: 1.1rem;
    position: absolute;
    bottom: 2.7rem;
    left: 9.5rem;
    transform: rotate(24deg);
    transform-origin: bottom;
}

#side-menu-mobile {
    display: none;
}

#imprint,
#impressum {
    bottom: 0;
    right: 0;
}

/* White Bars */

#menu-top {
    position: fixed;
    top: 0;
    left: 0;
    height: calc((var(--updateRow) * 2) - 4px);
    width: 100%;
    background-color: var(--bg);
    z-index: 50;
}

#menu-bottom {
    position: fixed;
    bottom: 0rem;
    height: calc((var(--updateRow) * 2) - 8px);
    width: 100%;
    background-color: var(--bg);
    z-index: 50;
}

/* Interaction Block for Cat Numbers */

#cancel-hover-top {
    position: fixed;
    height: calc(var(--updateRow) * 2);
    top: 0;
    left: 0;
    width: 100%;
    z-index: 81;
}

#cancel-hover-bottom {
    position: fixed;
    height: calc(var(--updateRow) * 2);
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 81;
}


/* __________________ 03 General Table Layout ______________________________ */

#table {
    width: 100%;
    position: absolute;
}

#table * {
    user-select: none;
}

.table-layout {
    display: grid;
    grid-template-rows: 1fr;
    position: absolute;
    width: 100%;
    height: auto;
    font-size: var(--f-size-medium);
    padding-bottom: calc(var(--row1x) * 3);
    background-color: var(--bg);
}

.content-wrapper {
    display: grid;
    align-items: center;
    justify-content: flex-start;
    height: var(--row1x);
    background-color: var(--bg);
    border-top: 1px solid var(--tl);
    /* margin-bottom: -1px; */
    z-index: 1;
}


/*  row Layout */

.row-content {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    margin-right: 0rem;
    margin-bottom: -.2em;
    height: 100%;
    transition: 100ms ease transform;
}


/* __________________ 04 Releases Page ___________________________________________ */

/* __________________ 04_1 Style Range Slider (scrollbar) ________________________ */

/* #scroll-blinder {
    position: fixed;
    transform: rotate(180deg);
    margin-right: calc(var(--row1x) / 2);
    top: var(--row2x);
    right: 0;
    height: calc((var(--row1x) * 8) + 1.5rem);
    width: var(--f-size-medium);
    z-index: 82;
} */

/* Custom range styling */
/* #height-slider {
    position: absolute;
    -webkit-appearance: slider-vertical;
    appearance: slider-vertical;
    width: 100%;
    height: 102%;
    opacity: 0;
    cursor: n-resize;
} */

/* #fake-thumb {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: var(--f-size-medium);
    border-radius: var(--f-size-medium);
    transform: translateY(50%);

    background-color: var(--tl);
    border: 1px solid var(--tl);
    z-index: 82;
    user-select: none;
    pointer-events: none;

    transition: height 300ms ease;
} */

/* #scroll-blinder:hover>#fake-thumb {
    height: calc(var(--f-size-medium) * 2);
} */


/* __________________ 04_2 Blinders _______________________________________________ */

/* .blinders {
    position: fixed;
    left: 50%;
    transform: translateX(-50%);
    height: 0;
    width: 100%;
    background-color: var(--bg);
    z-index: 10;
} */

/* #blinder-top {
    top: calc((var(--updateRow) * 2) - 1px);
} */

/* #blinder-bottom {
    bottom: calc((var(--updateRow) * 2) - 1px);
    transform: translateX(-50%) rotate(180deg);
} */


/* __________________ 04_3 Content / Table _________________________________________ */

/* Extra padding for table */
#table.r-ident {
    padding-top: var(--row2x);
}

/* Grid */

.r-grid {
    grid-template-columns: 22% 28% 10% 20% 7% 8%;
}

.row-wrapper:last-of-type .content-wrapper{
    border-bottom: 1px solid var(--tl);
}

/*  Data inside rows   */

.r-artist {
    margin-left: calc(var(--row1x) / 2);
    white-space: nowrap;
    overflow: hidden;
}

.r-release {
    margin-left: 0;
    white-space: nowrap;
    overflow: hidden;
}

.r-cat-num {
    z-index: 80 !important;
}

.r-cat-num-content {
    display: flex;
}

.r-album-micro {
    width: 0;
    height: calc(var(--f-size-medium) - 0.4rem);
    margin-bottom: 0.2em;
    transition: width 100ms ease;
    flex-shrink: 0;
}

.r-rel-medium {
    margin-left: 0;
    justify-content: center;
}

.r-rel-type {
    margin-left: 0;
    justify-content: center;
}

.r-rel-date {
    justify-content: flex-end;

}



/* hover effects */

.row-wrapper:hover .row-content {
    transform: translateX(1.5rem);
}

.row-wrapper:hover .r-album-micro {
    width: calc(var(--f-size-medium) - .4rem);
    margin-right: .5rem;
}

.row-wrapper:hover .r-release {
    margin-right: 3.5rem;
}

.row-wrapper:hover .r-cat-num {
    margin-left: -1.5rem;
}


/*  Reissue Box   */



.reissue {
    vertical-align: super;
    margin-bottom: 0.7em;
    margin-left: -0.3em;
    padding: .3rem 0.4rem .2rem .4rem;
    font-size: 0.5em;
    border: 1px solid var(--tl);
    border-radius: 2rem;
    transition: 300ms ease all;
}

.row-wrapper:hover .reissue {
    padding: .3rem 0.6rem .3rem .6rem;
    background-color: var(--tl);
    color: var(--bg);
}






/*  Blinking Element */

.row-wrapper:hover .blink {
    background-color: var(--tl);
    height: calc(var(--f-size-medium) - 0.4rem);
    width: calc((var(--f-size-medium) - .4rem) / 2);
    margin-left: 0.2em;
    margin-bottom: 0.15em;
    animation: blink 500ms ease infinite;
}

@keyframes blink {

    0%,
    100% {
        opacity: 1;
    }

    50% {
        opacity: 0;
    }
}


/* Album Cover Overlay */


.album-cover-overlay {
    position: fixed;
    height: 100vh;
    width: 40%;
    top: 0;
    right: 0;
    transform: translateX(100%);

    user-select: none;
    pointer-events: none;
    cursor: default;

    background-color: var(--tl);

    z-index: 60;
    transition: 1000ms transform ease;
}

.album-cover-overlay.hovered {
    transform: translateX(0%);
    transition-delay: 1000ms;
}


/* rows in front of the overlay */
.row-wrapper.hovered .content-wrapper {
    position: relative;
    z-index: 65;
    border-bottom: 1px solid var(--tl);
    margin-bottom: -1px
}


.overlay-wrapper {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    width: 50%;
    /* of .album-cover-overlay */
    height: auto;
}


/* disable slider, wehen overlay is active */

#scroll-blinder.hovered {
    opacity: 0;
    transition: opacity 300ms ease;
    transition-delay: 1000ms;
}




/* __________________ 05 Termine Page _______________________________________________________ */

/* Content / Table */


#future-events {
    position: relative !important;
}

#past-events {
    position: relative !important;
}

#headline-future-events {
    position: sticky;
    top: 0;
    height: calc(var(--updateRow) * 2);
    display: flex;
    justify-content: center;
    font-size: var(--f-size-medium);
    z-index: 60;
}

.t-headline-padding {
    padding-top: calc(var(--row1x)/2);
}

#headline-past-events {
    position: sticky;
    top: 0;
    height: calc(var(--updateRow) * 2);
    margin-bottom: 1px;
    display: flex;
    justify-content: center;
    font-size: var(--f-size-medium);
    z-index: 61;
    background-color: var(--bg);
}


/* Colum Grid Layout*/

.t-grid {
    grid-template-columns: 25% 35% 30% 10%;
}



/* Data inside rows */


.t-event-date {
    justify-content: flex-start;
    margin-left: calc(var(--row1x) / 2);
}

.t-band {
    justify-content: flex-start;
}


.t-ticket {
    justify-content: flex-end;
    margin-right: calc(var(--row1x) / 2);
}

.t-location {
    justify-content: flex-start;

}

.t-grid:hover>.row-content {

    transform: translateX(1.5rem);
    transition: transform 100ms ease;
}


#future-events .content-wrapper:last-child,
#past-events .content-wrapper:last-child {
    border-bottom: 1px solid var(--tl);
}



/* __________________ 06 Release Page Layouts ______________________________________________ */


/* Left Side Album Cover Image */
#release-image {
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    width: calc(50% - 8rem);
    height: 100vh;
    background-color: var(--tl);
    flex-wrap: nowrap;
    flex-direction: column;
    align-items: center;
    align-content: center;
    justify-content: flex-start;
}

.image-scroll-container {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 75vh;
    width: 100%;
    top: 0;
    padding-top: 25vh;
    overflow-y: auto;
    transform: translateX(3%);
}

.release-cover {
    width: 55%;
}

.additional-images {
    margin-top: 50%;
    width: 60%;
}

.additional-images:last-child {
    margin-bottom: 50%;
}

.image-scroll-container::-webkit-scrollbar {
    display: none;
}

.release-cover-mobile {
    display: none;
}



/* Right Side Press Info */


#release-text {
    position: fixed;
    top: 0;
    left: calc(50% + 15rem);
    width: calc(50% - 19rem);
    height: 100%;
    margin-top: 1rem;
    margin-left: 2rem;
    margin-right: 2rem;
    font-size: var(--f-size-regular);
    color: var(--tl);
}


/* Album + Artist Headline */
.release-titles {
    width: 100%;
    font-size: var(--f-size-large);
}

/* Reissue */

.r-reissue {
    display: inline-block;

    vertical-align: super;
    margin-left: -0.4em;
    padding: 0.2rem 0.5rem 0.1rem 0.5rem;
    border: 1px solid var(--tl);
    border-radius: 2rem;
    transform: translateY(0.1em);

    font-size: var(--f-size-small) !important;
}


.release-album-margin {
    margin-left: -.4em;
}

/* Press Text */
.release-left {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex-wrap: nowrap;
    align-items: flex-start;
    position: absolute;
    left: 0;
    height: calc(100% - 14.3rem);
    width: calc(50% - 4rem);
    margin-top: 4rem;

    overflow-y: auto;

    -ms-overflow-style: none;
    /* IE and Edge */
    scrollbar-width: none;
    /* Firefox */
}


    /* Hide scrollbar for Chrome, Safari and Opera */
    .release-left::-webkit-scrollbar {
            display: none;
        }


/* Press Kit Download */
.presskit {
    position: relative;
}


/* Infos + Tracks */
.release-right {
    position: absolute;
    left: 50%;
    width: 50%;
    margin-top: 4rem;
    height: calc(100% - 14.3rem);
}

.release-links {
    display: flex;
    justify-content: flex-end;
}

.space-between {
    justify-content: space-between;
}

.release-info {
    margin-top: 5.1rem;
}

.release-medium {
    margin-top: 2.7rem;
}

.release-medium-list-wrapper {
    display: flex;
    justify-content: flex-start;
}

.release-date {
    margin-top: 2.9rem;
}

.release-tracks {
    position: absolute;
    overflow-y: auto;
    max-height: 56.6vh;
    width: 100%;
    bottom: 0;
    
    -ms-overflow-style: none;
    /* IE and Edge */
    scrollbar-width: none;
    /* Firefox */
}

.release-tracks h3 {
    padding-bottom: 0;
}

.release-tracks p {
    padding-top: 0;
    margin: 0;
}

.release-tracks::-webkit-scrollbar {
    display: none;
}

.release-tracks-mobile {
    display: none;
}

.release-right p {
    padding: 0;

}


/* X / Close Button */
#return {
    position: fixed;
    right: 0;
    height: 5rem;
    margin-top: 1rem;
    margin-right: 2rem;
    color: var(--tl);
    font-size: var(--f-size-large);
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: transform 500ms ease ;

    div{
        height: 100%;
        line-height: 1.6;
        text-align: center;
        vertical-align: middle;
        transition: 500ms ease;
    }
}

#return:hover {
    div{
        transform: rotate(180deg);
    }
}


/* Cat-Num Menu */

.r-cat-row {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: flex-end;
    position: absolute;
    left: 53.1%;
    transform: translateX(-50%);
    width: 12rem;
    font-size: var(--f-size-medium);
}

.r-cat-row-content-wrapper {
    height: var(--row1x);
    width: 100%;
    min-height: calc(var(--f-size-medium) * 1.5);
}

.cat-row-content {
    width: 100%;
    display: flex;
    height: var(--row1x);
    align-items: center;
    justify-content: flex-start;
    flex-wrap: nowrap;
    flex-direction: row;
    transition: all 100ms ease;
}

.currentSelect .blink,
.r-cat-row-content-wrapper:hover .blink {
    background-color: var(--tl);
    height: calc(var(--f-size-medium) - 0.4rem);
    width: calc((var(--f-size-medium) - .4rem) / 2);
    margin-left: 0.2em;
    margin-bottom: 0.15em;
    animation: blink 500ms ease infinite;
}

.currentSelect .cat-row-content {
    transform: translateX(0);
}

.currentSelect .r-album-micro {
    width: calc(var(--f-size-medium) - 0.4rem) !important;
    margin-right: .5rem;
}

/* Image */

.r-cat-row-content-wrapper:hover .r-album-micro {
    width: calc(var(--f-size-medium) - 0.4rem);
    margin-right: .5rem;
}

.r-cat-row-content-wrapper:hover .cat-row-content {
    transform: translateX(0);
}

/* Misitunes Logo  */

#logo {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 14.7rem;
    height: 6.5rem;
    filter: invert(1);
}




/* __________________ 07 Text Page Layouts ______________________________________________ */

.text-layout {
    position: absolute;
    left: 15%;
    width: 70%;

    padding-top: var(--row2x);
    padding-bottom: var(--row2x);
}



.text-layout>h1,
.text-layout>h2,
.text-layout>h3 {
    margin: 0 -30rem 0 -30rem;
    padding: 1rem 30rem 0 30rem;
    background-color: var(--bg);
    border-top: 1px solid var(--tl);
}


/* Alt Menu */

.alt-menu {
    height: calc(var(--row1x) + 3px) !important;
}



/* __________________ 07_1 About ________________________________________________________ */






/* __________________ 07_2 Imprint ______________________________________________________ */








/* 08 Bookup */

/* Created with http://boockup.marco.land */
/* https: //marco.land/ */



@-webkit-keyframes rotatingAnimationX {
    0% {
        -webkit-transform: rotateX(0deg);
        transform: rotateX(0deg);
    }

    100% {
        -webkit-transform: rotateX(360deg);
        transform: rotateX(360deg);
    }
}

@keyframes rotatingAnimationX {
    0% {
        -webkit-transform: rotateX(0deg);
        transform: rotateX(0deg);
    }

    100% {
        -webkit-transform: rotateX(360deg);
        transform: rotateX(360deg);
    }
}

@-webkit-keyframes rotatingAnimationY {
    0% {
        -webkit-transform: rotateY(0deg);
        transform: rotateY(0deg);
    }

    100% {
        -webkit-transform: rotateY(360deg);
        transform: rotateY(360deg);
    }
}

@keyframes rotatingAnimationY {
    0% {
        -webkit-transform: rotateY(0deg);
        transform: rotateY(0deg);
    }

    100% {
        -webkit-transform: rotateY(360deg);
        transform: rotateY(360deg);
    }
}

@-webkit-keyframes rotatingAnimationZ {
    0% {
        -webkit-transform: rotateZ(0deg);
        transform: rotateZ(0deg);
    }

    100% {
        -webkit-transform: rotateZ(360deg);
        transform: rotateZ(360deg);
    }
}

@keyframes rotatingAnimationZ {
    0% {
        -webkit-transform: rotateZ(0deg);
        transform: rotateZ(0deg);
    }

    100% {
        -webkit-transform: rotateZ(360deg);
        transform: rotateZ(360deg);
    }
}

.container {
    width: 100%;
    height: 100%;
    overflow: hidden;
    -webkit-perspective: 1200px;
    perspective: 1200px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.container>div {
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
}

.boockup {
    -webkit-transform: rotateX(0deg) rotateY(0deg) rotateZ(0deg) scale(.75);
    transform: rotateX(0deg) rotateY(0deg) rotateZ(0deg) scale(.75);
}

.book-container {
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    -webkit-animation: 20s rotatingAnimationY linear infinite;
    animation: 20s rotatingAnimationY linear infinite;
}

.book-container>div {
    position: absolute;
    top: 0;
    left: 0;
    background-size: cover;
    background-position: center center;
    -webkit-backface-visibility: visible;
    backface-visibility: visible;
}

.book-top,
.book-bottom,
.book-side-right {
    background-size: auto auto;
    background-repeat: repeat;
    background-position: top left;
}

.book-front {
    width: 630px;
    height: 630px;
    -webkit-transform: translate3d(-315px, -315px, 4px) translate3d(0, 0, 0) rotateY(0deg);
    transform: translate3d(-315px, -315px, 4px) translate3d(0, 0, 0) rotateY(0deg);
}

.book-side-left {
    width: 8px;
    height: 630px;
    -webkit-transform: translate3d(-315px, -315px, 4px) translate3d(-4px, 0, -4px) rotateY(-90deg);
    transform: translate3d(-315px, -315px, 4px) translate3d(-4px, 0, -4px) rotateY(-90deg);
}

.book-side-right {
    /* add color through cms */
    width: 8px;
    height: 630px;
    -webkit-transform: translate3d(-315px, -315px, 4px) translate3d(626px, 0px, -4px) rotateY(90deg);
    transform: translate3d(-315px, -315px, 4px) translate3d(626px, 0px, -4px) rotateY(90deg);
}

.book-top {
    /* add color through cms */
    background-position: bottom right;
    width: 630px;
    height: 8px;
    -webkit-transform: translate3d(-315px, -315px, 4px) translate3d(0px, -4px, -4px) rotateX(90deg);
    transform: translate3d(-315px, -315px, 4px) translate3d(0px, -4px, -4px) rotateX(90deg);
}

.book-bottom {
    /* add color through cms */
    width: 630px;
    height: 8px;
    -webkit-transform: translate3d(-315px, -315px, 4px) translate3d(0px, 626px, -4px) rotateX(-90deg);
    transform: translate3d(-315px, -315px, 4px) translate3d(0px, 626px, -4px) rotateX(-90deg);
}

.book-back {
    width: 630px;
    height: 630px;
    -webkit-transform: translate3d(-315px, -315px, 4px) translate3d(0, 0, -8px) rotateY(180deg);
    transform: translate3d(-315px, -315px, 4px) translate3d(0, 0, -8px) rotateY(180deg);
}





/* 

############################################################################
#####.................................................................######
#####.........................MOBILE VERSION..........................######
#####.................................................................######
############################################################################

*/






@media only screen and (max-width: 450px) {




    /* __________________ 00 Root ______________________________________________ */


    :root {

        /* Font Sizes */
        --f-size-small: 5rem;

        --f-size-regular: 6.7rem;

        --f-size-medium: 8rem;

        --f-size-large: 10rem;

        --row1x: calc((100vh / var(--r-num)) - 0.2px);
        --row1xT: calc((100vh / var(--r-num)) - 0.7px);

    }


    /* __________________ 01 General Styling ___________________________________ */


    a {
        -webkit-tap-highlight-color: transparent;
        /* blue box on mobile */
        /* https: //stackoverflow.com/questions/45049873/how-to-remove-the-blue-highlight-of-button-on-mobile */
    }



    .underline {
        text-decoration-line: underline;
        text-decoration-style: solid;
        text-decoration-thickness: 1px;
        text-underline-offset: 0.1em;
        text-decoration-color: var(--tl) !important;
    }






    /* __________________ 02 Menu ______________________________________________ */


    /* General Menu Styling */
    .menu {
        position: fixed;
        padding-top: 0.1em;
        margin: 4rem;
        z-index: 90;
    }



    #releases {
        left: 0;
    }

    #termine,
    #events {
        right: 0;
    }


    #about {
        bottom: calc(var(--row1x) * 3);
    }

    #disable-rotation {
        display: none;
    }

    #logo-text {
        display: none;

    }

    .menu-image {
        display: none;
    }

    #logo-arrow {
        display: none
    }

    #imprint,
    #impressum {
        left: 0;
        bottom: calc(var(--row1x) * 2);
        z-index: 91;
        display: none;
    }



    /* Side Menu */


    #side-menu-mobile {
        display: block;
        position: fixed;
        background-color: var(--bg);
        width: 38rem;
        height: 50%;
        left: 0;
        bottom: 0;
        z-index: 90;
        transform: translateX(-39rem);
        transition: 400ms transform ease;
    }

    #side-menu-mobile.open {
        transform: translateX(0rem);
    }

    #logo-full-mobile {
        display: block;
        position: fixed;
        left: 4rem;
        bottom: 2.7rem;
        width: 47.2rem;
        height: 25.6rem;
        transform: translateY(13rem);
        transition: 400ms transform ease;
    }

    #logo-full-mobile.open {
        transform: translateY(0rem);
    }

    #imprint.menu-mobile {
        display: block;
    }

    /* Extra for Release Page */
    #releases.menu-mobile-release {
        left: 0;
        bottom: calc(var(--row1x) * 5);
        z-index: 91;
    }

    #events.menu-mobile-release {
        left: 0;
        bottom: calc(var(--row1x) * 4);
        z-index: 91;
    }

    /* On Menu Open Translate Data and Image  */
    .open .row-wrapper,
    .open .album-cover-overlay {
        transform: translateX(76rem);
    }

    .open #future-events,
    .open #past-events {
        transform: translateX(85rem);
    }

    #release-text.open,
    #release-image.open {
        transform: translateX(52rem);
    }


    /* Interaction Block for Cat Numbers */

    #cancel-hover-top {
        display: none;
    }

    #cancel-hover-bottom {
        display: none;
    }





    /* __________________ 03 Table  _________________________________________ */

    .table-layout {
        font-size: var(--f-size-regular);
        padding-bottom: calc(var(--row1x) * 2);
    }

    .row-wrapper {
        transition: 400ms transform ease;
    }

    .row-content {
        transition: none;
    }

    /*  Blinking Element */

    .row-wrapper:hover .blink {
        display: none;
    }

    .selected .blink {
        background-color: var(--tl);
        height: calc(var(--f-size-medium) - 1.4rem);
        width: calc((var(--f-size-medium) - .4rem) / 2);
        margin-left: 0.2em;
        margin-bottom: 0.15em;
        animation: blink 500ms ease infinite;
    }






    /* __________________ 03_1 Table Releases Page _______________________________ */


    /* Extra padding for table */
    #table.r-ident {
        padding-top: calc(var(--row1x) *15);
        padding-bottom: calc(var(--row1x) * 6);
    }

    /* Grid */

    .r-grid {
        grid-template-columns: 43.4% 17% 40%;
    }

    /* border-bottom for last row */

    .r-ident section.misi000 {
        border-bottom: 1px solid var(--tl);
    }

    /*  Data inside rows   */

    .r-artist {
        margin-left: 4rem;
        margin-right: 4rem;
        white-space: normal;
        overflow: hidden;
    }

    .r-release {
        order: 1;
        margin-left: 0rem;
        padding-left: 0.7rem;
        margin-right: 4rem !important;
        white-space: normal;
        overflow: hidden;
    }

    .r-cat-num {
        margin-right: 1.5rem;
        z-index: 0 !important;
    }

    .r-cat-num-content {
        display: flex;
    }

    .r-album-micro {
        display: none;
    }

    .r-rel-medium {
        display: none;
    }

    .r-rel-type {
        display: none;
    }

    .r-rel-date {
        display: none;
    }

    .row-wrapper:hover .row-content {
        transform: translateX(0rem);
    }

    .row-wrapper:hover .r-album-micro {
        width: calc(var(--f-size-medium) - .4rem);
        margin-right: initial;
    }

    .row-wrapper:hover .r-release {
        margin-right: initial;
    }

    .row-wrapper:hover .r-cat-num {
        margin-left: initial;
    }



    /* __________________ 03_2 Table Events Page _______________________________ */


    #future-events {
        position: relative !important;
        transition: 400ms transform ease;
    }

    #past-events {
        position: relative !important;
        transition: 400ms transform ease;
    }

    #headline-future-events {
        position: sticky;
        top: 0;
        height: calc((var(--updateRow) * 2) + 3px);
        display: flex;
        justify-content: center;
        font-size: var(--f-size-medium);
        z-index: 60;
    }

    .t-headline-padding {
        padding-top: 4rem;
    }

    #headline-past-events {
        position: sticky;
        top: 0;
        height: calc(var(--updateRow) * 2);
        margin-bottom: 0;
        display: flex;
        justify-content: center;
        font-size: var(--f-size-medium);
        z-index: 61;
        background-color: var(--bg);
    }


        .row-wrapper:last-of-type .content-wrapper {
            border-bottom: 0px solid var(--tl);
        }

    /* Colum Grid Layout*/

    .t-grid {
        grid-template-columns: 23% 33% 36% 8%;
        height: var(--row1xT) !important;
    }



    /* Data inside rows */


    .t-event-date {
        justify-content: flex-start;
        margin-left: 4rem;
    }

    .t-band {
        justify-content: flex-start;
        margin-right: 4rem;
    }


    .t-ticket {
        justify-content: flex-end;
        margin-right: 4rem;
    }

    .t-location {
        justify-content: flex-start;
    }

    .t-grid:hover>.row-content {

        transform: translateX(0);
        transition: none;
    }





    /* __________________ 04 Releases Page _______________________________________ */

    /* __________________ Menu Bars ____________________________________________*/

    #menu-top.release-page {
        position: fixed;
        top: 0;
        left: 0;
        height: calc((var(--row1x) * 11) - 5px);
        width: 100%;
        background-color: var(--bg);
        z-index: 50;
    }

    #menu-bottom.release-page {
        position: fixed;
        bottom: 0rem;
        height: calc(var(--updateRow) - 3px);
        width: 100%;
        background-color: var(--bg);
        z-index: 50;
    }


    /* __________________  Disable Style Range Slider (scrollbar) ________________________ */

    #scroll-blinder {
        display: none;
    }

    /* Custom range styling */
    #height-slider {
        display: none;
    }

    #fake-thumb {
        display: none;
    }

    #scroll-blinder:hover>#fake-thumb {
        display: none;
    }



    /* __________________ Disable Blinders ______________________________________________ */

    .blinders {
        display: none;
    }

    #blinder-top {
        display: none;
    }

    #blinder-bottom {
        display: none;
    }





    /* __________________ Reissue Box __________________________________________________ */

    .reissue {
        vertical-align: text-top;
        margin-bottom: 0;
        margin-left: -0.1em;
        padding: 0.6rem 1.5rem 0.6rem 1.5rem;
        font-size: 0.6em;
        border: 1px solid var(--tl);
        border-radius: 5rem;
        transition: 300ms ease all;
    }







    .row-wrapper:hover .reissue {
        padding: initial;
        background-color: initial;
        color: initial;
    }

    .selected .reissue {
        padding: .6rem 1.5rem .6rem 1.5rem;
        background-color: var(--tl);
        color: var(--bg);
    }



    /* __________________ Album Cover Overlay ____________________________________________ */


    .album-cover-overlay {
        display: flex;
        position: fixed;
        height: calc((var(--row1x) * 10) - 5px);
        width: 100%;
        top: var(--row1x);
        left: 0 !important;
        user-select: none;
        pointer-events: none;
        cursor: default;
        background-color: var(--bg);
        z-index: 60;
        opacity: 0;
        transform: translateX(0%);
        transition: 200ms opacity ease;
        transition: 400ms transform ease;
        flex-direction: column;
        flex-wrap: nowrap;
        justify-content: flex-start;
        align-items: center;
    }

    .album-cover-overlay.selected {
        opacity: 1;
    }

    .overlay-wrapper {
        margin: 0;
        position: relative;
        top: 0;
        left: 0;
        transform: translateX(0%) translateY(0%);
        /* of .album-cover-overlay */
        width: 184rem;
        max-width: max-content;
        height: 184rem;
        max-height: 96%;
    }


    /* __________________ 05 Events Page  ____________________________________________*/

    /* __________________ Menu Bars ____________________________________________*/


    #menu-top.events-page {
        position: fixed;
        top: 0;
        left: 0;
        height: calc(var(--updateRow) * 2);
        width: 100%;
        background-color: var(--bg);
        z-index: 50;
    }

    #menu-bottom.events-page {
        position: fixed;
        bottom: 0rem;
        height: calc(var(--updateRow) - 6px);
        width: 100%;
        background-color: var(--bg);
        z-index: 50;
    }


    /* __________________ 06 Mobile Release Page  ______________________________________________ */


    /* Left Side Album Cover Image */
    #release-image {
        display: flex;
        position: absolute;
        top: 4rem;
        left: 4rem;
        width: 160rem;
        height: 160rem;
        background-color: var(--bg);
        flex-wrap: nowrap;
        flex-direction: column;
        align-items: center;
        justify-content: flex-start;
        box-shadow: #f9f9f9 4px 8px 9px 0px;

        transition: transform 400ms ease;
    }


    .release-cover-mobile {
        display: block;
        width: 100%;
    }

    .image-scroll-container {
        display: none;
    }

    .container {
        display: none;
    }

    .release-cover {
        display: none;
    }

    .additional-images {
        margin-top: 50%;
        width: 60%;
    }

    .additional-images:last-child {
        margin-bottom: 50%;
    }

    .image-scroll-container::-webkit-scrollbar {
        display: none;
    }




    /* Right Side Press Info */


    #release-text {
        position: absolute;
        top: 0;
        left: 0;
        width: calc(100% - 8rem);
        height: 100%;
        margin-top: 181rem;
        margin-left: 4rem;
        font-size: var(--f-size-regular);
        color: var(--tl);

        transition: transform 400ms ease;
    }


    /* Album + Artist Headline */
    .release-titles {
        position: relative;
        width: 100%;
        font-size: var(--f-size-large);
    }

    /* Reissue */

    .r-reissue {
        display: inline-block;
        vertical-align: super;
        margin-left: -0.4em;
        padding: 0.2rem 2rem 0.1rem 2rem;
        border: 1px solid var(--tl);
        border-radius: 5rem;
        transform: translateY(0.3em);
        font-size: var(--f-size-small) !important;
    }

    .release-album-margin {
        margin-left: -.4em;
    }

    /* Press Text */
    .release-left {
        flex-direction: column;
        justify-content: space-between;
        flex-wrap: nowrap;
        align-items: flex-start;
        position: relative;
        left: 0;
        top: 0;
        width: 100%;
        height: auto;
        margin-top: 4rem;
    }

    /* Press Kit Download */
    .presskit {
        position: relative;
    }


    /* Infos + Tracks */
    .release-right {
        position: relative;
        left: 0;
        width: 100%;
        height: auto;
        margin-top: 4rem;
    }

    .release-links {
        position: relative;
        display: flex;
        justify-content: space-between;
        font-size: var(--f-size-medium);
    }

    .space-between {
        justify-content: space-between;
    }

    .release-info {
        position: relative;
        display: flex;
        margin-top: 4rem;
        flex-direction: row;
        flex-wrap: nowrap;
        align-content: flex-start;
        justify-content: space-between;
    }

    .release-medium {
        margin-top: 0rem;
    }

    .release-medium-list-wrapper {
        display: flex;
        justify-content: flex-start;
    }

    .release-date {
        margin-top: 0rem;
    }

    .release-tracks {
        display: none;

        /* IE and Edge */

        /* Firefox */
    }

    .release-tracks h3 {
        padding-bottom: 0;
    }

    .release-tracks p {
        padding-top: 0;
        margin: 0;
    }

    .release-tracks::-webkit-scrollbar {
        display: none;
    }

    .release-tracks-mobile {
        display: block;
        margin-top: 12rem;
        padding-bottom: calc(var(--row1x) * 1);
    }

    .release-tracks-mobile .f-size-small {
        font-size: var(--f-size-regular);
    }

    .release-right p {
        padding: 0;

    }


    /* X / Close Button */
    #return {
        position: fixed;
        right: 0;
        height: 14.9rem;
        margin-top: 1rem;
        margin-right: 4rem;
        color: var(--tl);
        font-size: var(--f-size-large);
        z-index: 1;
    }


    #return:hover {
        animation: return 500ms ease 1;
    }



    /* Cat-Num Menu */

    .r-cat-row {
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        position: fixed;
        bottom: 0;
        left: 0;
        transform: translateX(0);
        width: 100%;
        height: calc(var(--row1x) * 5);
        font-size: var(--f-size-regular);
        overflow: overlay;
        /* display: none; */
        align-items: center;
        background-color: var(--bg);
        border-top: 1px solid var(--tl);
        display: none;
    }

    .r-cat-row-content-wrapper {
        height: var(--row1x);
        width: 23%;
        min-height: var(--row1x);
        padding-left: 20rem;
    }

    .cat-row-content {
        width: 100%;
        display: flex;
        height: var(--row1x);
        align-items: center;
        justify-content: flex-start;
        flex-wrap: nowrap;
        flex-direction: row;
        transition: all 100ms ease;
    }

    .currentSelect .blink,
    .r-cat-row-content-wrapper:hover .blink {
        background-color: var(--tl);
        height: calc(var(--f-size-medium) - 0.4rem);
        width: calc((var(--f-size-medium) - .4rem) / 2);
        margin-left: 0.2em;
        margin-bottom: 0.15em;
        animation: blink 500ms ease infinite;
    }

    .currentSelect .cat-row-content {
        transform: translateX(0);
    }

    .currentSelect .r-album-micro {
        width: calc(var(--f-size-medium) - 0.4rem) !important;
        margin-right: .5rem;
    }

    /* Image */

    .r-cat-row-content-wrapper:hover .r-album-micro {
        width: calc(var(--f-size-medium) - 0.4rem);
        margin-right: .5rem;
    }

    .r-cat-row-content-wrapper:hover .cat-row-content {
        transform: translateX(0);
    }

}